For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
List Eval Runs
List the runs of an eval, newest first.
List the runs of an eval, newest first.
get
https://statsigapi.net/console/v1/evals/{name}/runsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
namestringrequiredname
Query parameters
limitintegerResults per page
Example:
10Constraints:
stringnumberpageintegerPage number
Example:
1Constraints:
stringnumberResponse
application/json200· List Eval Runs Success
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
idstringrequirednamestringrequiredevalIDstringrequiredstatusstringrequiredrunning until the run finishes, then completed, or failed when the run recorded an error.
Allowed values:
runningcompletedfailedcreatedTimenumberrequiredConstraints:
format: doublefinishTimenumberrequiredConstraints:
format: doublenullablerunTimenumberrequiredConstraints:
format: doublenullabledatasetIDstringrequiredDataset the run scored. Null for runs posted from code through send_results.
Constraints:
nullabledatasetItemCountnumberrequiredConstraints:
format: doublegraderIDsstring[]requiredprimaryEvalGraderIDstringrequiredConstraints:
nullableparametersobjectrequiredConstraints:
nullableerrorReasonstringrequiredConstraints:
nullablepaginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstring403· Forbidden. The request was valid, but the server is refusing action. You might not have the necessary permissions to access the resource.
statusintegerrequiredAllowed values:
403messagestringrequired404· Not Found. The requested resource could not be found.
statusintegerrequiredAllowed values:
404messagestringrequiredWas this helpful?